
class APIPaths {
  static const String baseUrl = "https://api.mypoint.com.vn/8854/gup2start/rest";
  static const String checkUpdate = "/version-management-service/api/v1.0/check-customer-software-update";
  static const String getOnboardingInfo = "/resource/api/v2.0/intro-screen";
  static const String checkPhoneNumber = "/user/api/v2.0/account/users/checkPhoneNumber";
  static const String verifyOtpWithAction = "/iam/v2/authentication/otp/verifyWithAction";
  static const String retryOtpWithAction = "/iam/v2/authentication/otp/retry";
  static const String signup = "/user/api/v2.0/signup";
  static const String otpCreateNew = "/otpCreateNew/1.0.0";
  static const String websitePageGetDetail = "/websitePageGetDetail/1.0.0";
  static const String websitePage = "/user/api/v2.0/websitePage";
  static const String websiteFolderGetPageList = "/websiteFolderGetPageList/1.0.0";
  static const String otpVerifyForDoingNextEvent = "/otpVerifyForDoingNextEvent/1.0.0";
  static const String accountPasswordReset = "/accountPasswordReset/1.0.0";
  static const String login = "/iam/v1/authentication/account-login";
  static const String loginWithBiometric = "/iam/v1/authentication/bio-login";
  static const String getUserInfo = "/user/api/v2.0/mypoint/me";
  static const String bioCredential = "/iam/v1/account/me/bio-credential";
  static const String accountLoginForPasswordChange = "/accountLoginForPasswordChange/1.0.0";
  static const String accountPasswordChange = "/accountPasswordChange/1.0.0";
  static const String registerBiometric = "/iam/v1/account/me/bio-credential";
  static const String unRegisterBiometric = "/iam/v1/account/me/bio-credential";
  static const String customerBalanceGetDetail = "/customerBalanceGetDetail/1.0.0";
  static const String headerHome = "/dynamic-home/api/v1.0/header-home";
  static const String otpDeleteAccountRequest = "/user/api/v2.0/me/delete/request";
  static const String verifyDeleteAccount = "/user/api/v2.0/me/delete/verify";
  static const String getProducts = "/product/api/v2.0/products";
  static const String getSearchProducts = "/product/api/v2.0/products/search";
  static const String getProductDetail = "/product/api/v2.0/products/%@";
  static const String getProductStores =  "/product/api/v2.0/product/stores";
  static const String productCustomerLikes =  "/product/api/v2.0/customer/likes";
  static const String productCustomerUnlikes =  "/product/api/v2.0/customer/likes/%@";
  static const String getGames =  "/campaign/api/v3.0/games";
  static const String verifyOrderProduct =  "/order/api/v1.0/verify-product";
  static const String getGameDetail =  "/campaign/api/v3.0/games/%@/play";
  static const String affiliateCategoryGetList =  "/affiliateCategoryGetList/1.0.0";
  static const String affiliateBrandGetList =  "/affiliateBrandGetList/1.0.0";
  static const String affiliateProductTopSale =  "/affiliateProductTopSale/1.0.0";
  static const String getCashbackOverview =  "/cashback/overview";
  static const String getCashbackStatus =  "/cashback/status";
  static const String getRegistrationForm = "/product/api/v2.0/cards/%@/registration_form";
  static const String getPreviewOrderInfo = "/order/api/v1.0/preview-order";
  static const String getPreviewOrderBankAccounts = "/order/api/v1.0/payment/bank-accounts";
  static const String getPreviewPaymentMethods = "/order/api/v1.0/payment/payment-methods";
  static const String orderSubmitPayment = "/order/api/v1.0/submit-order";
  static const String getTransactionHistoryDetail = "/order/api/v1.0/my-orders/%@";
  static const String getNotificationCategories = "/dynamic-home/api/v1.0/notification_groups";
  static const String getNotifications = "/notificationGetList/1.0.0";
  static const String deleteNotification = "/notificationDeleteOne/1.0.0";
  static const String deleteAllNotifications = "/notificationDeleteAll/1.0.0";
  static const String notificationMarkAsSeen = "/notificationMarkAsSeen/1.0.0";
  static const String notificationGetDetail = "/notificationGetDetail/1.0.0";
  static const String getCustomerProductDetail = "/product/api/v2.0/customer/products/%@";
  static const String getPipiDetail = "/pipiGetDetail/1.0.0";
  static const String getSectionLayoutHome = "/dynamic-home/api/v1.0/sections";
  static const String achievementGetList = "/achievementGetList/1.0.0";
  static const String getIconPiPiHome = "/campaign/api/v3.0/icon";
  static const String getNotificationUnread = "/notificationUnread/1.0.0";
  static const String getDynamicHeaderHome = "/dynamic-home/api/v1.0/header-home";
  static const String getCustomerProducts = "/product/api/v2.0/customer/products";
  static const String updateWorkerSiteProfile = "/workerSiteProfileUpdate/2.0.0";
  static const String locationDistrictGetList = "/locationDistrictGetList/1.0.0";
  static const String locationProvinceGetList = "/locationProvinceGetList/1.0.0";
  static const String getMembershipLevelInfo = "/primaryMembershipLevelGetList/2.0.0";
}